#!/usr/bin/env python3
# -*- coding: utf-8; -*-


from katoptron.readers import *


def main():
    import matplotlib.pyplot as plt

    file_base_dir = '/Volumes/HD_SONY/CMAME/Final_MT/katoptron_CMAME_tests_plate_MC_MG_all_cases_2_NER/case_2/1/2/'
    iter_indices_1, residuals_1 = read_Belos(
        file_base_dir + 'belos_out.txt', 1)

    file_base_dir = '/Volumes/HD_SONY/CMAME/Final_MT/katoptron_CMAME_tests_plate_MC_MG_all_cases_2_NER/case_2/32/0/'
    iter_indices_2, residuals_2 = read_Belos(
        file_base_dir + 'belos_out.txt', 3)

    print(residuals_2.shape)

    plt.figure()
    plt.plot(iter_indices_1, residuals_1)
    plt.plot(iter_indices_2, residuals_2[:, 2])
    plt.yscale('log')
    plt.grid(True)

    plt.show()


if __name__ == "__main__":
    main()
